## org.apache.taglibs.standard.lang.jstl
Class BeanInfoManager

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.BeanInfoManager

    public class BeanInfoManager

extends Object

Manages the BeanInfo for one class - contains the BeanInfo, and also a mapping from property name to BeanInfoProperty. There are also static methods for accessing the BeanInfoManager for a class - those mappings are cached permanently so that once the BeanInfoManager is calculated, it doesn't have to be calculated again.

Version:
  $Change: 181181 $$DateTime: 2001/06/26 09:55:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Method Summary
`Class` `getBeanClass()`
`static BeanInfoIndexedProperty` `getBeanInfoIndexedProperty(Class pClass, String pIndexedPropertyName, Logger pLogger)` Returns the BeanInfoIndexedProperty for the specified property in the given class, or null if not found.
`static BeanInfoManager` `getBeanInfoManager(Class pClass)` Returns the BeanInfoManager for the specified class
`static BeanInfoProperty` `getBeanInfoProperty(Class pClass, String pPropertyName, Logger pLogger)` Returns the BeanInfoProperty for the specified property in the given class, or null if not found.
`EventSetDescriptor` `getEventSet(String pEventSetName, Logger pLogger)` Returns the EventSetDescriptor for the given event set name, or null if not found.
`BeanInfoIndexedProperty` `getIndexedProperty(String pIndexedPropertyName, Logger pLogger)` Returns the BeanInfoIndexedProperty for the given property name, or null if not found.
`BeanInfoProperty` `getProperty(String pPropertyName, Logger pLogger)` Returns the BeanInfoProperty for the given property name, or null if not found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBeanClass

    public Class getBeanClass()

### getBeanInfoManager

    public static BeanInfoManager getBeanInfoManager(Class pClass)

  Returns the BeanInfoManager for the specified class

### getBeanInfoProperty

    public static BeanInfoProperty getBeanInfoProperty(Class pClass,
                                                       String pPropertyName,
                                                       Logger pLogger)
                                                throws ELException

  Returns the BeanInfoProperty for the specified property in the given class, or null if not found.

  Throws:
    `ELException`

### getBeanInfoIndexedProperty

    public static BeanInfoIndexedProperty getBeanInfoIndexedProperty(Class pClass,
                                                                     String pIndexedPropertyName,
                                                                     Logger pLogger)
                                                              throws ELException

  Returns the BeanInfoIndexedProperty for the specified property in the given class, or null if not found.

  Throws:
    `ELException`

### getProperty

    public BeanInfoProperty getProperty(String pPropertyName,
                                        Logger pLogger)
                                 throws ELException

  Returns the BeanInfoProperty for the given property name, or null if not found.

  Throws:
    `ELException`

### getIndexedProperty

    public BeanInfoIndexedProperty getIndexedProperty(String pIndexedPropertyName,
                                                      Logger pLogger)
                                               throws ELException

  Returns the BeanInfoIndexedProperty for the given property name, or null if not found.

  Throws:
    `ELException`

### getEventSet

    public EventSetDescriptor getEventSet(String pEventSetName,
                                          Logger pLogger)
                                   throws ELException

  Returns the EventSetDescriptor for the given event set name, or null if not found.

  Throws:
    `ELException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.